<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Market/Scripts/5_mission/dayzexpansion_market/market/expansionmarketfilters.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d9b/a01889.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">expansionmarketfilters.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d9/d9b/a01889_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a8eb99c316175a012f077a62659a4e495"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> { <br />
&#160;&#160;<a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a715b6e0accf6b9dec47f64c1d7cd6504">OPTIC</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a8e7838b96be55048186754b37db105dd">WRAP</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a53396ea1193548270407675ea4eeee2b">SWITCH</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a58152226a61fa4599afb2feec21c65ad">BUTTSTOCK</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a10394e9048c726662213dacf7e103ded">HANDGUARD</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a9775ec3c5de11245c1b6cce82e6fc0e6">MAGAZINE</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a5af257111e560a8ccfedb9a99d1481bc">SUPPRESSOR</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a195ae9a2ffdb934655d7b33eac31c28a">BAYONET</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a4a4a22e70e144276de77028cab227c0c">RAIL</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495af917d6c11c85b4ac32e30d1cc9da25eb">LIGHT</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a4f5f01d53acb849896daaed9fdbae39d">BULLET</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a7fcbee57acaba090b71094ab50061e07">POUCHES</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a947a9e21f136c0448704ff99cf5de598">PATCHES</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a305055e14a1bf846c5b20895335b7774">HOLSTERS</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495ad1019ca87b7e7b945ab26c968a2f939e">CANTEENS</a>
, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495a2c97215476f91f18e5db8fc1bd3d0289">GRENADES</a>
, <br />
&#160;&#160;<a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495adbf1dee1b8cd7ea3c82661943c7b74f4">OTHER</a>
<br />
 }</td></tr>
<tr class="separator:a8eb99c316175a012f077a62659a4e495"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:abd7e97fd8f21ffbf2db43be8fb05c2fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#abd7e97fd8f21ffbf2db43be8fb05c2fb">ExpansionMarketFilters</a> ()</td></tr>
<tr class="separator:abd7e97fd8f21ffbf2db43be8fb05c2fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b65de593cece32fe9d52c67af94cf88"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a1b65de593cece32fe9d52c67af94cf88">~ExpansionMarketFilters</a> ()</td></tr>
<tr class="separator:a1b65de593cece32fe9d52c67af94cf88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae657622f5b1945eae4b23a5afe666814"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ae657622f5b1945eae4b23a5afe666814">GetPrimaryWeaponMagazines</a> ()</td></tr>
<tr class="separator:ae657622f5b1945eae4b23a5afe666814"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a302581cc4fd8c5245df3ef90288db36d"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a302581cc4fd8c5245df3ef90288db36d">GetSecondaryWeaponMagazines</a> ()</td></tr>
<tr class="separator:a302581cc4fd8c5245df3ef90288db36d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a624221195a937b4da89226a1f3fc313a"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a624221195a937b4da89226a1f3fc313a">GetHandWeaponMagazines</a> ()</td></tr>
<tr class="separator:a624221195a937b4da89226a1f3fc313a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dfd8df0ba2bee06712a56f56bc4d082"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a8dfd8df0ba2bee06712a56f56bc4d082">GetPrimaryWeaponBullets</a> ()</td></tr>
<tr class="separator:a8dfd8df0ba2bee06712a56f56bc4d082"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a49e96534f4cc986440cbb80fafce12"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a1a49e96534f4cc986440cbb80fafce12">GetSecondaryWeaponBullets</a> ()</td></tr>
<tr class="separator:a1a49e96534f4cc986440cbb80fafce12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbcc7ba9b1207a46432d6f1ef18937d3"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#acbcc7ba9b1207a46432d6f1ef18937d3">GetHandWeaponBullets</a> ()</td></tr>
<tr class="separator:acbcc7ba9b1207a46432d6f1ef18937d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7616278ddbe0e6022278320a3f56f792"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a7616278ddbe0e6022278320a3f56f792">GetPrimaryWeaponAttachments</a> ()</td></tr>
<tr class="separator:a7616278ddbe0e6022278320a3f56f792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8de59d1f9c20c4db12ec6e6a70b76718"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a8de59d1f9c20c4db12ec6e6a70b76718">GetSecondaryWeaponAttachments</a> ()</td></tr>
<tr class="separator:a8de59d1f9c20c4db12ec6e6a70b76718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71ea8db84e1c0cd70c691f331d4ecb4f"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a71ea8db84e1c0cd70c691f331d4ecb4f">GetHandWeaponAttachments</a> ()</td></tr>
<tr class="separator:a71ea8db84e1c0cd70c691f331d4ecb4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8187f89ea1d5a0029d92e6a4764fd5d9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d15/a05414.html">ExpansionMarketWeapon</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a8187f89ea1d5a0029d92e6a4764fd5d9">GetMarketWeapon</a> (EntityAI item)</td></tr>
<tr class="separator:a8187f89ea1d5a0029d92e6a4764fd5d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1c909b2c9bb7e879a2164e7cea27b2d"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#aa1c909b2c9bb7e879a2164e7cea27b2d">GetWeaponMagazines</a> (EntityAI item)</td></tr>
<tr class="separator:aa1c909b2c9bb7e879a2164e7cea27b2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adef609e14de535bb0fc2ee9efaa492a1"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#adef609e14de535bb0fc2ee9efaa492a1">GetWeaponBullets</a> (EntityAI item)</td></tr>
<tr class="separator:adef609e14de535bb0fc2ee9efaa492a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0b6fe0b3cb487566939f43a9549d9d4"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#af0b6fe0b3cb487566939f43a9549d9d4">GetWeaponAttachments</a> (EntityAI item)</td></tr>
<tr class="separator:af0b6fe0b3cb487566939f43a9549d9d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a8dd282daf41ff5516c120bfefa910d"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a2a8dd282daf41ff5516c120bfefa910d">FilterItems</a> (TStringArray candidates)</td></tr>
<tr class="separator:a2a8dd282daf41ff5516c120bfefa910d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e480e4119ebcd741c37ff21bce0fac0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a3e480e4119ebcd741c37ff21bce0fac0">GenerateAttachmentsMap</a> ()</td></tr>
<tr class="separator:a3e480e4119ebcd741c37ff21bce0fac0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d97961af78206c04608684d8d9ee20"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a39d97961af78206c04608684d8d9ee20">GenerateAttachmentsMapFromPath</a> (out map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref TStringArray &gt; currentMap, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> path)</td></tr>
<tr class="separator:a39d97961af78206c04608684d8d9ee20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ab6bac9810e4c08a6a590cc67fd47c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a5ab6bac9810e4c08a6a590cc67fd47c9">GenerateWeaponAttachmentDenom</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a5ab6bac9810e4c08a6a590cc67fd47c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d22cdb598f925d697248be324054e90"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a1d22cdb598f925d697248be324054e90">GetSellables</a> ()</td></tr>
<tr class="separator:a1d22cdb598f925d697248be324054e90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a167a9d0d6e9c420d31697f8932d04c71"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a167a9d0d6e9c420d31697f8932d04c71">GetPurchasables</a> ()</td></tr>
<tr class="separator:a167a9d0d6e9c420d31697f8932d04c71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ef632f8c11591cb8ecf990e6fb16cf3"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a3ef632f8c11591cb8ecf990e6fb16cf3">GetAttachmentsByType</a> (ExpansionMarketOutput output, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> attachType)</td></tr>
<tr class="separator:a3ef632f8c11591cb8ecf990e6fb16cf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb55b9dec9acae2debe3110bf985ae86"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#afb55b9dec9acae2debe3110bf985ae86">GetWeaponAttachmentsByType</a> (<a class="el" href="../../dd/d15/a05414.html">ExpansionMarketWeapon</a> weapon, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> attachType)</td></tr>
<tr class="separator:afb55b9dec9acae2debe3110bf985ae86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0bdf5cfe64efb4d6106115cbe0cd9a4"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ae0bdf5cfe64efb4d6106115cbe0cd9a4">GetAttachmentsByClassNameAndTypes</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, array&lt; <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> &gt; attachTypes)</td></tr>
<tr class="separator:ae0bdf5cfe64efb4d6106115cbe0cd9a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769e979b6df6e7524fcd5a8209817b3e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a769e979b6df6e7524fcd5a8209817b3e">GetAttachmentsByClassNameAndTypesEx</a> (ExpansionMarketOutput output, array&lt; <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> &gt; attachTypes, TStringArray <a class="el" href="../../dc/d0c/a01532.html#adfb4a8c515aa01502dc7b4878569f2bd">attachments</a>)</td></tr>
<tr class="separator:a769e979b6df6e7524fcd5a8209817b3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7449a087685aa372393481a82ab7541"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#af7449a087685aa372393481a82ab7541">IsCustomizableClothing</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:af7449a087685aa372393481a82ab7541"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bfbe2b6fd1c15e2768da4cf973757b9"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a0bfbe2b6fd1c15e2768da4cf973757b9">IsWeapon</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a0bfbe2b6fd1c15e2768da4cf973757b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfea4d9d17f8fb5ebf39f2585df17f1d"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#abfea4d9d17f8fb5ebf39f2585df17f1d">ClassNameHierarchyContains</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> cfgPath, TStringArray validBaseNames, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> stopAt=&quot;Inventory_Base&quot;)</td></tr>
<tr class="memdesc:abfea4d9d17f8fb5ebf39f2585df17f1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fucking SLOW. Use with care.  <a href="../../d9/d9b/a01889.html#abfea4d9d17f8fb5ebf39f2585df17f1d">More...</a><br /></td></tr>
<tr class="separator:abfea4d9d17f8fb5ebf39f2585df17f1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaedad046d33400a7ac4ac4c1b7ade17"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#abaedad046d33400a7ac4ac4c1b7ade17">GetRootClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> cfgPath, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> stopAt=&quot;Inventory_Base&quot;)</td></tr>
<tr class="memdesc:abaedad046d33400a7ac4ac4c1b7ade17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fucking SLOW. Use with care. Not used atm.  <a href="../../d9/d9b/a01889.html#abaedad046d33400a7ac4ac4c1b7ade17">More...</a><br /></td></tr>
<tr class="separator:abaedad046d33400a7ac4ac4c1b7ade17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad480dff7e264fec87cbdad97d3e0821b"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ad480dff7e264fec87cbdad97d3e0821b">GetWeaponMagazinesByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:ad480dff7e264fec87cbdad97d3e0821b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac45b475366ed00d314d4fa966450e1c6"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ac45b475366ed00d314d4fa966450e1c6">GetWeaponOpticsByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:ac45b475366ed00d314d4fa966450e1c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ca67dbb0732fda5c89a101b45059f1d"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a1ca67dbb0732fda5c89a101b45059f1d">GetWeaponSuppressorsByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a1ca67dbb0732fda5c89a101b45059f1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02b05b667c5e42f10950ef0df0f66aa1"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a02b05b667c5e42f10950ef0df0f66aa1">GetWeaponGhilliesByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a02b05b667c5e42f10950ef0df0f66aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a368baf18024889cfa362481cd69062d9"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a368baf18024889cfa362481cd69062d9">GetWeaponSwitchablesByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a368baf18024889cfa362481cd69062d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff458c5460ad54967000d8e579fc0f26"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#aff458c5460ad54967000d8e579fc0f26">GetWeaponAttachmentsByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:aff458c5460ad54967000d8e579fc0f26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3171aaa0cdbb4a025021f32c935e5383"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a3171aaa0cdbb4a025021f32c935e5383">GetWeaponButtstocksByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a3171aaa0cdbb4a025021f32c935e5383"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f7e47fe4c72388ec83f2cde05628a86"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a8f7e47fe4c72388ec83f2cde05628a86">GetWeaponHandguardsByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a8f7e47fe4c72388ec83f2cde05628a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab34c3fa5f2fb12170ca5b2d3222a1608"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ab34c3fa5f2fb12170ca5b2d3222a1608">GetWeaponBayonetsByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:ab34c3fa5f2fb12170ca5b2d3222a1608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a1dfd204bca3c04eff5f5e5f12e19d0"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a7a1dfd204bca3c04eff5f5e5f12e19d0">GetWeaponRailsByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a7a1dfd204bca3c04eff5f5e5f12e19d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2f428c4411297eed6b586fec4abce4"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#afe2f428c4411297eed6b586fec4abce4">GetWeaponLightsByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:afe2f428c4411297eed6b586fec4abce4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9160640df385a9804310be2287720d5d"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a9160640df385a9804310be2287720d5d">GetWeaponAttachmentAttachType</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> slotName=&quot;&quot;)</td></tr>
<tr class="separator:a9160640df385a9804310be2287720d5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f50161cc81de328e01c1184c2b17be1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a3f50161cc81de328e01c1184c2b17be1">HasWeaponAttachments</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a3f50161cc81de328e01c1184c2b17be1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab47d00f67461aa3cb46bb5aa862a59cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ab47d00f67461aa3cb46bb5aa862a59cb">GenerateClothingAttachmentDenom</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:ab47d00f67461aa3cb46bb5aa862a59cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcbd7d677b933d42fb29bd26f08991a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#abcbd7d677b933d42fb29bd26f08991a7">AddAttachmentDenom</a> (ExpansionMarketOutput output, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> cfgPath)</td></tr>
<tr class="separator:abcbd7d677b933d42fb29bd26f08991a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4513371c6a645415892e674d9f05da98"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a4513371c6a645415892e674d9f05da98">GetClothingAttachmentAttachType</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> slotName=&quot;&quot;)</td></tr>
<tr class="separator:a4513371c6a645415892e674d9f05da98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae13f89088c608c416e774fb33b600619"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ae13f89088c608c416e774fb33b600619">HasClothingAttachments</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:ae13f89088c608c416e774fb33b600619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57be4e324c9ebca9b81a2be62de23f45"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a57be4e324c9ebca9b81a2be62de23f45">GetClothingAttachmentsByType</a> (ExpansionMarketClothing clothing, <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> attachType)</td></tr>
<tr class="separator:a57be4e324c9ebca9b81a2be62de23f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eff37dcf0137b77bd6955b8673ccf22"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a0eff37dcf0137b77bd6955b8673ccf22">GetClothingAttachmentsByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a0eff37dcf0137b77bd6955b8673ccf22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a775b6f2da341f748a34ef5adc1731527"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a775b6f2da341f748a34ef5adc1731527">GetClothingPouchesByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a775b6f2da341f748a34ef5adc1731527"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a274b8f0a20f93f6ba017dcaffbb5dd3f"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a274b8f0a20f93f6ba017dcaffbb5dd3f">GetClothingHolstersByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a274b8f0a20f93f6ba017dcaffbb5dd3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24d85c8c6ce1f86d298eea157b0deaee"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a24d85c8c6ce1f86d298eea157b0deaee">GetClothingCanteensByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a24d85c8c6ce1f86d298eea157b0deaee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe3b2422c07e6061bc4972511e515559"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#abe3b2422c07e6061bc4972511e515559">GetClothingGrenadesByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:abe3b2422c07e6061bc4972511e515559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a146562228891b3a5ef43c79d01baefb6"><td class="memItemLeft" align="right" valign="top">TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a146562228891b3a5ef43c79d01baefb6">GetClothingPatchesByClassName</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className)</td></tr>
<tr class="separator:a146562228891b3a5ef43c79d01baefb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ab0d3751e7cfc681ef2822b92401bbaba"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a></td></tr>
<tr class="separator:ab0d3751e7cfc681ef2822b92401bbaba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0d1d030c6dd60b8e466394f9377b4eb"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#ac0d1d030c6dd60b8e466394f9377b4eb">m_AttachmentsMap</a></td></tr>
<tr class="separator:ac0d1d030c6dd60b8e466394f9377b4eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa902d3a3b01a55e983996d1c0bc193d9"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d3/d53/a05410.html">ExpansionMarketOutputs</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#aa902d3a3b01a55e983996d1c0bc193d9">m_MarketOutputs</a></td></tr>
<tr class="separator:aa902d3a3b01a55e983996d1c0bc193d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5941c0f38861b9d27ded2e37d24427ff"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../de/d60/a06018.html">ExpansionMarketModule</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d9b/a01889.html#a5941c0f38861b9d27ded2e37d24427ff">m_MarketModule</a></td></tr>
<tr class="separator:a5941c0f38861b9d27ded2e37d24427ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a8eb99c316175a012f077a62659a4e495" name="a8eb99c316175a012f077a62659a4e495"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eb99c316175a012f077a62659a4e495">&#9670;&#160;</a></span>ExpansionMarketAttachType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p ><a class="el" href="../../d9/d9b/a01889.html">ExpansionMarketFilters.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a715b6e0accf6b9dec47f64c1d7cd6504" name="a8eb99c316175a012f077a62659a4e495a715b6e0accf6b9dec47f64c1d7cd6504"></a>OPTIC&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a8e7838b96be55048186754b37db105dd" name="a8eb99c316175a012f077a62659a4e495a8e7838b96be55048186754b37db105dd"></a>WRAP&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a53396ea1193548270407675ea4eeee2b" name="a8eb99c316175a012f077a62659a4e495a53396ea1193548270407675ea4eeee2b"></a>SWITCH&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a58152226a61fa4599afb2feec21c65ad" name="a8eb99c316175a012f077a62659a4e495a58152226a61fa4599afb2feec21c65ad"></a>BUTTSTOCK&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a10394e9048c726662213dacf7e103ded" name="a8eb99c316175a012f077a62659a4e495a10394e9048c726662213dacf7e103ded"></a>HANDGUARD&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a9775ec3c5de11245c1b6cce82e6fc0e6" name="a8eb99c316175a012f077a62659a4e495a9775ec3c5de11245c1b6cce82e6fc0e6"></a>MAGAZINE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a5af257111e560a8ccfedb9a99d1481bc" name="a8eb99c316175a012f077a62659a4e495a5af257111e560a8ccfedb9a99d1481bc"></a>SUPPRESSOR&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a195ae9a2ffdb934655d7b33eac31c28a" name="a8eb99c316175a012f077a62659a4e495a195ae9a2ffdb934655d7b33eac31c28a"></a>BAYONET&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a4a4a22e70e144276de77028cab227c0c" name="a8eb99c316175a012f077a62659a4e495a4a4a22e70e144276de77028cab227c0c"></a>RAIL&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495af917d6c11c85b4ac32e30d1cc9da25eb" name="a8eb99c316175a012f077a62659a4e495af917d6c11c85b4ac32e30d1cc9da25eb"></a>LIGHT&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a4f5f01d53acb849896daaed9fdbae39d" name="a8eb99c316175a012f077a62659a4e495a4f5f01d53acb849896daaed9fdbae39d"></a>BULLET&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a7fcbee57acaba090b71094ab50061e07" name="a8eb99c316175a012f077a62659a4e495a7fcbee57acaba090b71094ab50061e07"></a>POUCHES&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a947a9e21f136c0448704ff99cf5de598" name="a8eb99c316175a012f077a62659a4e495a947a9e21f136c0448704ff99cf5de598"></a>PATCHES&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a305055e14a1bf846c5b20895335b7774" name="a8eb99c316175a012f077a62659a4e495a305055e14a1bf846c5b20895335b7774"></a>HOLSTERS&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495ad1019ca87b7e7b945ab26c968a2f939e" name="a8eb99c316175a012f077a62659a4e495ad1019ca87b7e7b945ab26c968a2f939e"></a>CANTEENS&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495a2c97215476f91f18e5db8fc1bd3d0289" name="a8eb99c316175a012f077a62659a4e495a2c97215476f91f18e5db8fc1bd3d0289"></a>GRENADES&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a8eb99c316175a012f077a62659a4e495adbf1dee1b8cd7ea3c82661943c7b74f4" name="a8eb99c316175a012f077a62659a4e495adbf1dee1b8cd7ea3c82661943c7b74f4"></a>OTHER&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00013">13</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="abcbd7d677b933d42fb29bd26f08991a7" name="abcbd7d677b933d42fb29bd26f08991a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcbd7d677b933d42fb29bd26f08991a7">&#9670;&#160;</a></span>AddAttachmentDenom()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AddAttachmentDenom </td>
          <td>(</td>
          <td class="paramtype">ExpansionMarketOutput&#160;</td>
          <td class="paramname"><em>output</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>cfgPath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00739">739</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="abfea4d9d17f8fb5ebf39f2585df17f1d" name="abfea4d9d17f8fb5ebf39f2585df17f1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfea4d9d17f8fb5ebf39f2585df17f1d">&#9670;&#160;</a></span>ClassNameHierarchyContains()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool ClassNameHierarchyContains </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>cfgPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">TStringArray&#160;</td>
          <td class="paramname"><em>validBaseNames</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>stopAt</em> = <code>&quot;Inventory_Base&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Fucking SLOW. Use with care. </p>
<p >Traverse max 10 levels up the inheritance tree</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00459">459</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="abd7e97fd8f21ffbf2db43be8fb05c2fb" name="abd7e97fd8f21ffbf2db43be8fb05c2fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd7e97fd8f21ffbf2db43be8fb05c2fb">&#9670;&#160;</a></span>ExpansionMarketFilters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketFilters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00042">42</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a2a8dd282daf41ff5516c120bfefa910d" name="a2a8dd282daf41ff5516c120bfefa910d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a8dd282daf41ff5516c120bfefa910d">&#9670;&#160;</a></span>FilterItems()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray FilterItems </td>
          <td>(</td>
          <td class="paramtype">TStringArray&#160;</td>
          <td class="paramname"><em>candidates</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00197">197</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a3e480e4119ebcd741c37ff21bce0fac0" name="a3e480e4119ebcd741c37ff21bce0fac0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e480e4119ebcd741c37ff21bce0fac0">&#9670;&#160;</a></span>GenerateAttachmentsMap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GenerateAttachmentsMap </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00214">214</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a39d97961af78206c04608684d8d9ee20" name="a39d97961af78206c04608684d8d9ee20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39d97961af78206c04608684d8d9ee20">&#9670;&#160;</a></span>GenerateAttachmentsMapFromPath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GenerateAttachmentsMapFromPath </td>
          <td>(</td>
          <td class="paramtype">out map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, ref TStringArray &gt;&#160;</td>
          <td class="paramname"><em>currentMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00226">226</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="ab47d00f67461aa3cb46bb5aa862a59cb" name="ab47d00f67461aa3cb46bb5aa862a59cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab47d00f67461aa3cb46bb5aa862a59cb">&#9670;&#160;</a></span>GenerateClothingAttachmentDenom()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GenerateClothingAttachmentDenom </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00700">700</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a5ab6bac9810e4c08a6a590cc67fd47c9" name="a5ab6bac9810e4c08a6a590cc67fd47c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ab6bac9810e4c08a6a590cc67fd47c9">&#9670;&#160;</a></span>GenerateWeaponAttachmentDenom()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GenerateWeaponAttachmentDenom </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00268">268</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="ae0bdf5cfe64efb4d6106115cbe0cd9a4" name="ae0bdf5cfe64efb4d6106115cbe0cd9a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0bdf5cfe64efb4d6106115cbe0cd9a4">&#9670;&#160;</a></span>GetAttachmentsByClassNameAndTypes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetAttachmentsByClassNameAndTypes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> &gt;&#160;</td>
          <td class="paramname"><em>attachTypes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00408">408</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a769e979b6df6e7524fcd5a8209817b3e" name="a769e979b6df6e7524fcd5a8209817b3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a769e979b6df6e7524fcd5a8209817b3e">&#9670;&#160;</a></span>GetAttachmentsByClassNameAndTypesEx()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GetAttachmentsByClassNameAndTypesEx </td>
          <td>(</td>
          <td class="paramtype">ExpansionMarketOutput&#160;</td>
          <td class="paramname"><em>output</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> &gt;&#160;</td>
          <td class="paramname"><em>attachTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">TStringArray&#160;</td>
          <td class="paramname"><em>attachments</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00424">424</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a3ef632f8c11591cb8ecf990e6fb16cf3" name="a3ef632f8c11591cb8ecf990e6fb16cf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ef632f8c11591cb8ecf990e6fb16cf3">&#9670;&#160;</a></span>GetAttachmentsByType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetAttachmentsByType </td>
          <td>(</td>
          <td class="paramtype">ExpansionMarketOutput&#160;</td>
          <td class="paramname"><em>output</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a>&#160;</td>
          <td class="paramname"><em>attachType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00362">362</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a4513371c6a645415892e674d9f05da98" name="a4513371c6a645415892e674d9f05da98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4513371c6a645415892e674d9f05da98">&#9670;&#160;</a></span>GetClothingAttachmentAttachType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> GetClothingAttachmentAttachType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>slotName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00771">771</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a0eff37dcf0137b77bd6955b8673ccf22" name="a0eff37dcf0137b77bd6955b8673ccf22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eff37dcf0137b77bd6955b8673ccf22">&#9670;&#160;</a></span>GetClothingAttachmentsByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetClothingAttachmentsByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00856">856</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a57be4e324c9ebca9b81a2be62de23f45" name="a57be4e324c9ebca9b81a2be62de23f45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57be4e324c9ebca9b81a2be62de23f45">&#9670;&#160;</a></span>GetClothingAttachmentsByType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetClothingAttachmentsByType </td>
          <td>(</td>
          <td class="paramtype">ExpansionMarketClothing&#160;</td>
          <td class="paramname"><em>clothing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a>&#160;</td>
          <td class="paramname"><em>attachType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ExpansionMarketAttachType.OTHER</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00833">833</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a24d85c8c6ce1f86d298eea157b0deaee" name="a24d85c8c6ce1f86d298eea157b0deaee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24d85c8c6ce1f86d298eea157b0deaee">&#9670;&#160;</a></span>GetClothingCanteensByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetClothingCanteensByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00880">880</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="abe3b2422c07e6061bc4972511e515559" name="abe3b2422c07e6061bc4972511e515559"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe3b2422c07e6061bc4972511e515559">&#9670;&#160;</a></span>GetClothingGrenadesByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetClothingGrenadesByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00888">888</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a274b8f0a20f93f6ba017dcaffbb5dd3f" name="a274b8f0a20f93f6ba017dcaffbb5dd3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a274b8f0a20f93f6ba017dcaffbb5dd3f">&#9670;&#160;</a></span>GetClothingHolstersByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetClothingHolstersByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00872">872</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a146562228891b3a5ef43c79d01baefb6" name="a146562228891b3a5ef43c79d01baefb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a146562228891b3a5ef43c79d01baefb6">&#9670;&#160;</a></span>GetClothingPatchesByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetClothingPatchesByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00896">896</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a775b6f2da341f748a34ef5adc1731527" name="a775b6f2da341f748a34ef5adc1731527"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a775b6f2da341f748a34ef5adc1731527">&#9670;&#160;</a></span>GetClothingPouchesByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetClothingPouchesByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00864">864</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a71ea8db84e1c0cd70c691f331d4ecb4f" name="a71ea8db84e1c0cd70c691f331d4ecb4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71ea8db84e1c0cd70c691f331d4ecb4f">&#9670;&#160;</a></span>GetHandWeaponAttachments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetHandWeaponAttachments </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00134">134</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="acbcc7ba9b1207a46432d6f1ef18937d3" name="acbcc7ba9b1207a46432d6f1ef18937d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbcc7ba9b1207a46432d6f1ef18937d3">&#9670;&#160;</a></span>GetHandWeaponBullets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetHandWeaponBullets </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00110">110</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a624221195a937b4da89226a1f3fc313a" name="a624221195a937b4da89226a1f3fc313a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a624221195a937b4da89226a1f3fc313a">&#9670;&#160;</a></span>GetHandWeaponMagazines()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetHandWeaponMagazines </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00086">86</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a8187f89ea1d5a0029d92e6a4764fd5d9" name="a8187f89ea1d5a0029d92e6a4764fd5d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8187f89ea1d5a0029d92e6a4764fd5d9">&#9670;&#160;</a></span>GetMarketWeapon()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/d15/a05414.html">ExpansionMarketWeapon</a> GetMarketWeapon </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00139">139</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a7616278ddbe0e6022278320a3f56f792" name="a7616278ddbe0e6022278320a3f56f792"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7616278ddbe0e6022278320a3f56f792">&#9670;&#160;</a></span>GetPrimaryWeaponAttachments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetPrimaryWeaponAttachments </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00118">118</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a8dfd8df0ba2bee06712a56f56bc4d082" name="a8dfd8df0ba2bee06712a56f56bc4d082"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dfd8df0ba2bee06712a56f56bc4d082">&#9670;&#160;</a></span>GetPrimaryWeaponBullets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetPrimaryWeaponBullets </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00094">94</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="ae657622f5b1945eae4b23a5afe666814" name="ae657622f5b1945eae4b23a5afe666814"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae657622f5b1945eae4b23a5afe666814">&#9670;&#160;</a></span>GetPrimaryWeaponMagazines()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetPrimaryWeaponMagazines </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00070">70</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a167a9d0d6e9c420d31697f8932d04c71" name="a167a9d0d6e9c420d31697f8932d04c71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a167a9d0d6e9c420d31697f8932d04c71">&#9670;&#160;</a></span>GetPurchasables()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetPurchasables </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >We are only interested in the base item price here, not including attachments</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00322">322</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="abaedad046d33400a7ac4ac4c1b7ade17" name="abaedad046d33400a7ac4ac4c1b7ade17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaedad046d33400a7ac4ac4c1b7ade17">&#9670;&#160;</a></span>GetRootClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> GetRootClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>cfgPath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>stopAt</em> = <code>&quot;Inventory_Base&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Fucking SLOW. Use with care. Not used atm. </p>
<p >Traverse max 10 levels up the inheritance tree</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00488">488</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a8de59d1f9c20c4db12ec6e6a70b76718" name="a8de59d1f9c20c4db12ec6e6a70b76718"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8de59d1f9c20c4db12ec6e6a70b76718">&#9670;&#160;</a></span>GetSecondaryWeaponAttachments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetSecondaryWeaponAttachments </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00126">126</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a1a49e96534f4cc986440cbb80fafce12" name="a1a49e96534f4cc986440cbb80fafce12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a49e96534f4cc986440cbb80fafce12">&#9670;&#160;</a></span>GetSecondaryWeaponBullets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetSecondaryWeaponBullets </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00102">102</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a302581cc4fd8c5245df3ef90288db36d" name="a302581cc4fd8c5245df3ef90288db36d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a302581cc4fd8c5245df3ef90288db36d">&#9670;&#160;</a></span>GetSecondaryWeaponMagazines()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetSecondaryWeaponMagazines </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00078">78</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a1d22cdb598f925d697248be324054e90" name="a1d22cdb598f925d697248be324054e90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d22cdb598f925d697248be324054e90">&#9670;&#160;</a></span>GetSellables()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetSellables </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00289">289</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a9160640df385a9804310be2287720d5d" name="a9160640df385a9804310be2287720d5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9160640df385a9804310be2287720d5d">&#9670;&#160;</a></span>GetWeaponAttachmentAttachType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> GetWeaponAttachmentAttachType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>slotName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00597">597</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="af0b6fe0b3cb487566939f43a9549d9d4" name="af0b6fe0b3cb487566939f43a9549d9d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0b6fe0b3cb487566939f43a9549d9d4">&#9670;&#160;</a></span>GetWeaponAttachments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponAttachments </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00175">175</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="aff458c5460ad54967000d8e579fc0f26" name="aff458c5460ad54967000d8e579fc0f26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff458c5460ad54967000d8e579fc0f26">&#9670;&#160;</a></span>GetWeaponAttachmentsByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponAttachmentsByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00549">549</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="afb55b9dec9acae2debe3110bf985ae86" name="afb55b9dec9acae2debe3110bf985ae86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb55b9dec9acae2debe3110bf985ae86">&#9670;&#160;</a></span>GetWeaponAttachmentsByType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponAttachmentsByType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dd/d15/a05414.html">ExpansionMarketWeapon</a>&#160;</td>
          <td class="paramname"><em>weapon</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a>&#160;</td>
          <td class="paramname"><em>attachType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ExpansionMarketAttachType.OTHER</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00373">373</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="ab34c3fa5f2fb12170ca5b2d3222a1608" name="ab34c3fa5f2fb12170ca5b2d3222a1608"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab34c3fa5f2fb12170ca5b2d3222a1608">&#9670;&#160;</a></span>GetWeaponBayonetsByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponBayonetsByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00573">573</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="adef609e14de535bb0fc2ee9efaa492a1" name="adef609e14de535bb0fc2ee9efaa492a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adef609e14de535bb0fc2ee9efaa492a1">&#9670;&#160;</a></span>GetWeaponBullets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponBullets </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00156">156</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a3171aaa0cdbb4a025021f32c935e5383" name="a3171aaa0cdbb4a025021f32c935e5383"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3171aaa0cdbb4a025021f32c935e5383">&#9670;&#160;</a></span>GetWeaponButtstocksByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponButtstocksByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00557">557</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a02b05b667c5e42f10950ef0df0f66aa1" name="a02b05b667c5e42f10950ef0df0f66aa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02b05b667c5e42f10950ef0df0f66aa1">&#9670;&#160;</a></span>GetWeaponGhilliesByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponGhilliesByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00533">533</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a8f7e47fe4c72388ec83f2cde05628a86" name="a8f7e47fe4c72388ec83f2cde05628a86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f7e47fe4c72388ec83f2cde05628a86">&#9670;&#160;</a></span>GetWeaponHandguardsByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponHandguardsByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00565">565</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="afe2f428c4411297eed6b586fec4abce4" name="afe2f428c4411297eed6b586fec4abce4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe2f428c4411297eed6b586fec4abce4">&#9670;&#160;</a></span>GetWeaponLightsByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponLightsByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00589">589</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="aa1c909b2c9bb7e879a2164e7cea27b2d" name="aa1c909b2c9bb7e879a2164e7cea27b2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1c909b2c9bb7e879a2164e7cea27b2d">&#9670;&#160;</a></span>GetWeaponMagazines()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponMagazines </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00147">147</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="ad480dff7e264fec87cbdad97d3e0821b" name="ad480dff7e264fec87cbdad97d3e0821b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad480dff7e264fec87cbdad97d3e0821b">&#9670;&#160;</a></span>GetWeaponMagazinesByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponMagazinesByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00509">509</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="ac45b475366ed00d314d4fa966450e1c6" name="ac45b475366ed00d314d4fa966450e1c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac45b475366ed00d314d4fa966450e1c6">&#9670;&#160;</a></span>GetWeaponOpticsByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponOpticsByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00517">517</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a7a1dfd204bca3c04eff5f5e5f12e19d0" name="a7a1dfd204bca3c04eff5f5e5f12e19d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a1dfd204bca3c04eff5f5e5f12e19d0">&#9670;&#160;</a></span>GetWeaponRailsByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponRailsByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00581">581</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a1ca67dbb0732fda5c89a101b45059f1d" name="a1ca67dbb0732fda5c89a101b45059f1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ca67dbb0732fda5c89a101b45059f1d">&#9670;&#160;</a></span>GetWeaponSuppressorsByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponSuppressorsByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00525">525</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a368baf18024889cfa362481cd69062d9" name="a368baf18024889cfa362481cd69062d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a368baf18024889cfa362481cd69062d9">&#9670;&#160;</a></span>GetWeaponSwitchablesByClassName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TStringArray GetWeaponSwitchablesByClassName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00541">541</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="ae13f89088c608c416e774fb33b600619" name="ae13f89088c608c416e774fb33b600619"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae13f89088c608c416e774fb33b600619">&#9670;&#160;</a></span>HasClothingAttachments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool HasClothingAttachments </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00818">818</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a3f50161cc81de328e01c1184c2b17be1" name="a3f50161cc81de328e01c1184c2b17be1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f50161cc81de328e01c1184c2b17be1">&#9670;&#160;</a></span>HasWeaponAttachments()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool HasWeaponAttachments </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00680">680</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="af7449a087685aa372393481a82ab7541" name="af7449a087685aa372393481a82ab7541"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7449a087685aa372393481a82ab7541">&#9670;&#160;</a></span>IsCustomizableClothing()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool IsCustomizableClothing </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00448">448</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a0bfbe2b6fd1c15e2768da4cf973757b9" name="a0bfbe2b6fd1c15e2768da4cf973757b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bfbe2b6fd1c15e2768da4cf973757b9">&#9670;&#160;</a></span>IsWeapon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool IsWeapon </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00453">453</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="a1b65de593cece32fe9d52c67af94cf88" name="a1b65de593cece32fe9d52c67af94cf88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b65de593cece32fe9d52c67af94cf88">&#9670;&#160;</a></span>~ExpansionMarketFilters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ~<a class="el" href="../../d9/d9b/a01889.html#abd7e97fd8f21ffbf2db43be8fb05c2fb">ExpansionMarketFilters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00062">62</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ac0d1d030c6dd60b8e466394f9377b4eb" name="ac0d1d030c6dd60b8e466394f9377b4eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0d1d030c6dd60b8e466394f9377b4eb">&#9670;&#160;</a></span>m_AttachmentsMap</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> m_AttachmentsMap</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5941c0f38861b9d27ded2e37d24427ff" name="a5941c0f38861b9d27ded2e37d24427ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5941c0f38861b9d27ded2e37d24427ff">&#9670;&#160;</a></span>m_MarketModule</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../de/d60/a06018.html">ExpansionMarketModule</a> m_MarketModule</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00038">38</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="aa902d3a3b01a55e983996d1c0bc193d9" name="aa902d3a3b01a55e983996d1c0bc193d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa902d3a3b01a55e983996d1c0bc193d9">&#9670;&#160;</a></span>m_MarketOutputs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d3/d53/a05410.html">ExpansionMarketOutputs</a> m_MarketOutputs</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d9b/a01889_source.html#l00037">37</a> of file <a class="el" href="../../d9/d9b/a01889_source.html">expansionmarketfilters.c</a>.</p>

</div>
</div>
<a id="ab0d3751e7cfc681ef2822b92401bbaba" name="ab0d3751e7cfc681ef2822b92401bbaba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0d3751e7cfc681ef2822b92401bbaba">&#9670;&#160;</a></span>string</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d9/d9b/a01889.html#a8eb99c316175a012f077a62659a4e495">ExpansionMarketAttachType</a> string</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_092c367fafeded0f85ad4cffb3510835.html">Market</a></li><li class="navelem"><a class="el" href="../../dir_1f05db06ccb72c72cd31e0fe28945d0f.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_de01f721d980e2c6da889118cf0e6fd3.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_26918351a49db03189baa31a712a4aaa.html">dayzexpansion_market</a></li><li class="navelem"><a class="el" href="../../dir_79e3188851965f986043da0d6157c592.html">market</a></li><li class="navelem"><a class="el" href="../../d9/d9b/a01889.html">expansionmarketfilters.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
